hostname zshostoun
password klfzebra3
enable password klfzebra3
log stdout
!log file /var/log/ospfd.log
!log record-priority
!service advanced-vty
!
interface lo
!
interface dummy0
 description router ip
 ip ospf cost 10
!
interface eth0
 description NodeHostoun
 ip ospf cost 50
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
interface eth1
 description ECWA NodeHostoun
 ip ospf cost 50
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
interface ath1
 description 5G peer NodeHostoun3
 ip ospf cost 200
 ip ospf dead-interval 60
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
interface vlan102
 description cosi
 ip ospf cost 200
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
interface vlan101
 description cosi2
 ip ospf cost 200
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
interface vlan100
 description cosi3
 ip ospf cost 200
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
interface wlan0
 description cosi4
 ip ospf cost 200
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
interface wlan1
 description cosi5
 ip ospf cost 200
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
!
router ospf
 ospf router-id 10.102.129.161
 redistribute connected route-map just-10
 redistribute kernel metric 100
 passive-interface dummy0
passive-interface vlan300
passive-interface vlan500
passive-interface vlan501
passive-interface vlan502
passive-interface vlan503

!
! PEEROVE SUBNETY NA OKOLNI ROUTERY
!
! ECWA peer NodeHostoun
 network 10.102.197.8/29 area 5
! 5G peer NodeHostoun3
 network 10.102.198.64/29 area 5
! NODEOBEC all
 network 10.102.237.128/25 area 5
! ???? 
 network 10.102.129.128/28 area 5
 network 10.102.135.16/28 area 5
 network 10.102.135.64/27 area 5
 network 10.102.129.144/28 area 5
 network 10.102.129.240/28 area 5
 network 10.102.129.176/28 area 5
 network 10.102.135.0/28 area 5
 network 10.102.129.192/26 area 5
 network 10.102.129.160/28 area 5
! Peer Gutta 
 network 10.102.129.135/29 area 5
!
!
access-list net-10 permit 10.102.0.0/16
access-list net-10 permit 10.218.0.0/16
access-list net-10 permit 192.168.0.0/16
access-list net-10 deny 192.168.123.0/24
access-list net-10 deny 192.168.0.0/24
access-list term permit 127.0.0.1/32
access-list term deny any
!
route-map just-10 permit 10
 match ip address net-10
!
line vty
 access-class term

